<bugID>730130<Summary>Allows HOSTS file to be modified!</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 5.1; rv:10.0.2) Gecko/20100101 Firefox/10.0.2
Build ID: 20120215223356

Steps to reproduce:

I did a search the other day for answers to my kids SKYLANDERS game question; one of the links I clicked on behaved funny -- it popped up a dialog that said "Thank You".  It seemed odd, so it stuck in my mind.



Actual results:

After that, ALL the search links I click on get re-directed.



Expected results:

I ran an MSE scan, which found one item, and cleaned it, but did not fix the problem.

I also ran "SuperAntiSpyware", which found one or two things, but did not fix the problem.

So, I had a look at the HOSTS file, which had the HIDDEN and READ-ONLY attributes set, and found one item:

87.229.126.51    www.bing.com

Which may be in Hungary, according to http://ip-reports.org/87.229.126.0/

This seems to be a MASSIVE failure, if the HOSTS is not protected!

Hope someone can either shed some light on this, or pass it on to the right party.

WinXP Media Center Edition, SP3 &amp; FireFox 10.0.2, Windows Firewall, MSE, all up-to-date.</Description></bugID>